# List all Beneficiaries

Returns a list of your beneficiaries. The beneficiaries are returned sorted by creation date, with the most recent beneficiary appearing first.

Endpoint: GET /beneficiaries
Version: 1.0.0
Security: JWT

## Query parameters:

  - `beneficiary_type` (string)
    Type of beneficiary to filter

  - `country` (string)
    The ISO 3166-1 alpha-3 code of the country to filter validations

  - `before` (string)
    [ISO-8601](https://en.wikipedia.org/wiki/ISO_8601) timestamp in UTC to filter resources created before this time. Use this to avoid `Page drift` issue. See [Pagination parameters](\./pagination#pagination-parameters) for more details.

  - `after` (string)
    [ISO-8601](https://en.wikipedia.org/wiki/ISO_8601) timestamp in UTC to filter resources created after this time. Use this to avoid `Page drift` issue. See [Pagination parameters](\./pagination#pagination-parameters) for more details.

  - `per_page` (integer)
    Number of resources per page. Should be between 1 and 100.

  - `page` (integer)
    Page number for pagination. Starts from 1. Get the next page number from the `next` field in the response.

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (string)
    The unique identifier for the beneficiary.
    Example: bene_5JU9yv0lGSUP

  - `data.holder_name` (string)
    The name of the beneficiary.
    Example: Test Arts & Crafts Pvt Ltd

  - `data.account_number` (string)
    The account number of the beneficiary.
    Example: 1234567890

  - `data.bank_name` (string)
    The name of the bank where the account is held.
    Example: Yes Bank

  - `data.beneficiary_type` (string)
    The type of beneficiary
    Enum: "individual", "business"

  - `data.bic_primary` (string)
    The primary BIC of the bank account. This is the BIC of the bank where the account is held. This is also known as the SWIFT code.
    Example: QWERIN000

  - `data.bic_secondary` (string)
    The `local routing code` or `domestic clearing code` of the bank account. For reference, this is the `IFSC` code in India, `SORT` in UK, `ABA` in the US, etc.
    Example: YESB0000002

  - `data.email` (string)
    The email address of the beneficiary.
    Example: prabhat+beneficiaryArt@glomopay.com

  - `data.address_line1` (string)
    The street address of the beneficiary.
    Example: 123 Main St

  - `data.address_line2` (string)
    The second line of street address of the beneficiary.
    Example: Near Apts

  - `data.city` (string)
    The city where the beneficiary is located.
    Example: Anytown

  - `data.state` (string)
    The state where the beneficiary is located.
    Example: Anystate

  - `data.country` (string)
    The country where the beneficiary is located. Country should be sent as a [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) code.
    Example: Ind

  - `data.pincode` (string)
    The postal code of the beneficiary's address.
    Example: 560048

  - `data.nickname` (string)
    A nickname for the beneficiary.
    Example: Test Beneficiary

  - `data.intermediate_bank_name` (string)
    The name of the intermediate bank, if any.
    Example: Intermediate Bank

  - `data.intermediate_bank_country` (string)
    The country of the intermediate bank, if any. Country should be sent as a [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) code.
    Example: IND

  - `data.intermediate_bank_swift_code` (string)
    The SWIFT code of the intermediate bank, if any.
    Example: INTBANKSWIFT

  - `data.created_at` (string)
    Timestamp representing when the beneficiary was created
    Example: 2021-06-01T12:00:00Z

  - `data.updated_at` (string)
    Timestamp representing when the beneficiary was last updated
    Example: 2021-06-01T12:00:00Z

  - `page_meta` (object)

  - `page_meta.current` (integer)
    The current page number.
    Example: 2

  - `page_meta.previous` (integer | null)
    The previous page number.
    Example: 1

  - `page_meta.next` (integer | null)
    The next page number.
    Example: 3

  - `page_meta.per_page` (integer)
    The number of items per page.
    Example: 20

  - `page_meta.pages` (integer)
    The total number of pages.
    Example: 10

  - `page_meta.count` (integer)
    The total number of items.
    Example: 200

## Response 400 fields (application/json):

  - `error` (string)
    Enum: "Bad Request"

  - `message` (string)
    Error message indicating which parameter was invalid

